package kd.wnq.sale.opplugin;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

import java.util.List;

/**
 * @author wanghaiwu_kd
 * @date 2025/03/01
 * 插件说明：
 * 表单标识：工程预报单(nckd_engineerrpeort)
 */
public class EngineerReportOpPlugin extends AbstractOperationServicePlugIn {
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);

        List<String> fieldKeys = e.getFieldKeys();

        fieldKeys.add("nckd_loanbillentry");
        fieldKeys.add("nckd_loanbillentry.nckd_applyno");
        fieldKeys.add("nckd_loanbillentry.nckd_entrystatus");
        fieldKeys.add("nckd_loanbillentry.nckd_entryenable");
    }
}
